<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcGravityCallback Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcGravityCallback Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcGravityCallback" --><!-- doxytag: inherits="iBase" -->
<p>Inherit this class if you want to know when gravity is applied to a certain <a class="el" href="structiPcLinearMovement.html" title="This property class controls movement of an entity in a realistic manner.">iPcLinearMovement</a>.  
 <a href="structiPcGravityCallback.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="linmove_8h_source.html">propclass/linmove.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcGravityCallback:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcGravityCallback.png" usemap="#iPcGravityCallback_map" alt=""/>
  <map id="iPcGravityCallback_map" name="iPcGravityCallback_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,120,24"/>
</map>
 </div></div>

<p><a href="structiPcGravityCallback-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravityCallback.html#acd0eb0d6c680ac838411f600a1b26307">Callback</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The gravity is applied on this frame on the iPcLinearMovementiPcLinearMovement of this entity, ie its vertical velocity is negative.  <a href="#acd0eb0d6c680ac838411f600a1b26307"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Inherit this class if you want to know when gravity is applied to a certain <a class="el" href="structiPcLinearMovement.html" title="This property class controls movement of an entity in a realistic manner.">iPcLinearMovement</a>. </p>
<p>This is usefully if you for example want to apply certain gravity or something on the way up, but not on the way down (Parachutes and things like that). Register this callback with <a class="el" href="structiPcLinearMovement.html#ad3277adf4f3f41f2b0723b05ca7be340" title="Shedules a callback when gravity has grasped an object and is dragging it down.">iPcLinearMovement::AddGravityCallback()</a>, and remove it with <a class="el" href="structiPcLinearMovement.html#abc5860587b113c8cb3dabf50e25f20f8" title="Remove a gravity callback.">iPcLinearMovement::RemoveGravityCallback()</a> </p>

<p>Definition at line <a class="el" href="linmove_8h_source.html#l00050">50</a> of file <a class="el" href="linmove_8h_source.html">linmove.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acd0eb0d6c680ac838411f600a1b26307"></a><!-- doxytag: member="iPcGravityCallback::Callback" ref="acd0eb0d6c680ac838411f600a1b26307" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravityCallback.html#acd0eb0d6c680ac838411f600a1b26307">iPcGravityCallback::Callback</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The gravity is applied on this frame on the iPcLinearMovementiPcLinearMovement of this entity, ie its vertical velocity is negative. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="linmove_8h_source.html">linmove.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
